অ্যান্ড্রয়েড নিরাপত্তা বুলেটিন - মার্চ 2019

সেভ করা পৃষ্ঠা গুছিয়ে রাখতে 'সংগ্রহ' ব্যবহার করুন আপনার পছন্দ অনুযায়ী কন্টেন্ট সেভ করুন ও সঠিক বিভাগে রাখুন।

4 মার্চ, 2019 প্রকাশিত | 5 মার্চ, 2019 আপডেট করা হয়েছে

অ্যান্ড্রয়েড সিকিউরিটি বুলেটিনে অ্যান্ড্রয়েড ডিভাইসগুলিকে প্রভাবিত করে এমন নিরাপত্তা দুর্বলতার বিবরণ রয়েছে৷ 2019-03-05 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি এই সমস্ত সমস্যার সমাধান করে। কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

অ্যান্ড্রয়েড অংশীদারদের প্রকাশনার অন্তত এক মাস আগে সমস্ত সমস্যা সম্পর্কে অবহিত করা হয়। এই সমস্যাগুলির জন্য সোর্স কোড প্যাচগুলি পরবর্তী 48 ঘন্টার মধ্যে Android ওপেন সোর্স প্রজেক্ট (AOSP) সংগ্রহস্থলে প্রকাশ করা হবে। AOSP লিঙ্কগুলি উপলব্ধ হলে আমরা এই বুলেটিনটি সংশোধন করব।

এই সমস্যাগুলির মধ্যে সবচেয়ে গুরুতর হল মিডিয়া ফ্রেমওয়ার্কের একটি গুরুতর নিরাপত্তা দুর্বলতা যা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে। প্ল্যাটফর্ম এবং পরিষেবার প্রশমনগুলি উন্নয়নের উদ্দেশ্যে বন্ধ করা হয়েছে বা সফলভাবে বাইপাস করা হয়েছে বলে ধরে নিয়ে, দুর্বলতাকে কাজে লাগানোর প্রভাবের উপর ভিত্তি করে তীব্রতা মূল্যায়ন করা হয়।

আমাদের কাছে এই নতুন রিপোর্ট করা সমস্যাগুলির সক্রিয় গ্রাহক শোষণ বা অপব্যবহারের কোনও রিপোর্ট নেই। Android সিকিউরিটি প্ল্যাটফর্ম সুরক্ষা এবং Google Play Protect সম্পর্কে বিশদ বিবরণের জন্য Android এবং Google Play Protect প্রশমন বিভাগটি পড়ুন, যা Android প্ল্যাটফর্মের নিরাপত্তা উন্নত করে৷

দ্রষ্টব্য: সর্বশেষ ওভার-দ্য-এয়ার আপডেট (OTA) এবং Google ডিভাইসগুলির জন্য ফার্মওয়্যার চিত্রের তথ্য মার্চ 2019 পিক্সেল আপডেট বুলেটিনে উপলব্ধ।

অ্যান্ড্রয়েড এবং গুগল পরিষেবা প্রশমন

এটি Android নিরাপত্তা প্ল্যাটফর্ম এবং পরিষেবা সুরক্ষা যেমন Google Play Protect দ্বারা প্রদত্ত প্রশমনের একটি সারাংশ। এই ক্ষমতাগুলি Android-এ নিরাপত্তার দুর্বলতাগুলি সফলভাবে কাজে লাগানোর সম্ভাবনা কমায়৷

  • অ্যান্ড্রয়েড প্ল্যাটফর্মের নতুন সংস্করণে বর্ধিতকরণের মাধ্যমে অ্যান্ড্রয়েডে অনেক সমস্যার জন্য শোষণকে আরও কঠিন করা হয়েছে। আমরা সকল ব্যবহারকারীকে যেখানে সম্ভব Android এর সর্বশেষ সংস্করণে আপডেট করতে উৎসাহিত করি।
  • Android নিরাপত্তা দল সক্রিয়ভাবে Google Play Protect- এর মাধ্যমে অপব্যবহারের জন্য নজরদারি করে এবং ব্যবহারকারীদের সম্ভাব্য ক্ষতিকারক অ্যাপ্লিকেশন সম্পর্কে সতর্ক করে। Google Play Protect ডিফল্টরূপে Google মোবাইল পরিষেবাগুলির সাথে ডিভাইসগুলিতে সক্রিয় থাকে এবং বিশেষত সেই সমস্ত ব্যবহারকারীদের জন্য গুরুত্বপূর্ণ যারা Google Play এর বাইরে থেকে অ্যাপগুলি ইনস্টল করেন৷

2019-03-01 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগগুলিতে, আমরা 2019-03-01 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলিকে তারা প্রভাবিত করে এমন উপাদানের অধীনে গোষ্ঠীভুক্ত করা হয়। সমস্যাটির বর্ণনা এবং CVE, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) সহ একটি টেবিল রয়েছে। উপলভ্য হলে, আমরা পাবলিক পরিবর্তনকে লিঙ্ক করি যা সমস্যাটির সমাধান করেছে, যেমন AOSP পরিবর্তন তালিকা। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়।

ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2018-20346 এ-121156452 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-1985 A-118694079* ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0
CVE-2019-2003 এ-116321860 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2004 এ-115739809 আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2005 এ-68777217 ইওপি পরিমিত 8.0, 8.1, 9

মিডিয়া ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-1989 এ-118399205 আরসিই সমালোচনামূলক 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-1990 এ-118453553 আরসিই সমালোচনামূলক 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2006 এ-116665972 ইওপি উচ্চ 9
CVE-2019-2007 A-120789744 [ 2 ] ইওপি উচ্চ 8.1, 9
CVE-2019-2008 এ-122309228 ইওপি উচ্চ 8.0, 8.1, 9

পদ্ধতি

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি ট্রান্সমিশন ব্যবহার করে দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-2009 এ-120665616 আরসিই সমালোচনামূলক 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2010 এ-118152591 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2011 A-120084106 [ 2 ] ইওপি উচ্চ 8.0, 8.1, 9
CVE-2019-2012 এ-120497437 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2013 এ-120497583 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2014 এ-120499324 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2015 এ-120503926 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2016 এ-120664978 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2017 এ-121035711 ইওপি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2018 A-110172241 [ 2 ] ইওপি উচ্চ 8.1, 9
CVE-2018-9561 A-111660010 [ 2 ] আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9563 A-114237888 [ 2 ] আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9564 A-114238578 [ 2 ] আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2019 এ-115635871 আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2020 এ-116788646 আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2021 এ-120428041 আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2022 এ-120506143 আইডি উচ্চ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

2019-03-05 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগে, আমরা 2019-03-05 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলি যে উপাদানগুলিকে প্রভাবিত করে তার অধীনে গোষ্ঠীভুক্ত করা হয় এবং এতে CVE, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা , উপাদান (যেখানে প্রযোজ্য) এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) এর মতো বিশদ অন্তর্ভুক্ত থাকে। উপলভ্য হলে, আমরা পাবলিক পরিবর্তনকে লিঙ্ক করি যা সমস্যাটির সমাধান করেছে, যেমন AOSP পরিবর্তন তালিকা। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত রেফারেন্স লিঙ্ক করা হয়।

পদ্ধতি

এই বিভাগের দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-2023 A-121035042 [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ 7 ] ইওপি উচ্চ 8.0, 8.1, 9

কার্নেল উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে একটি স্থানীয় আক্রমণকারীকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2018-10883 এ-117311198
আপস্ট্রিম কার্নেল [ 2 ]
ইওপি উচ্চ ext4 ফাইল সিস্টেম
CVE-2019-2024 এ-111761954
আপস্ট্রিম কার্নেল
ইওপি উচ্চ em28xx ড্রাইভার
CVE-2019-2025 এ-116855682
আপস্ট্রিম কার্নেল
ইওপি উচ্চ বাইন্ডার ড্রাইভার

কোয়ালকম উপাদান

এই দুর্বলতাগুলি Qualcomm উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা সরবরাহ করা হয়৷

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-8252 এ-112277630
QC-CR#2106159
N/A সমালোচনামূলক ইকোসিস্টেম
CVE-2017-8252 এ-114041175
QC-CR#2128529
N/A সমালোচনামূলক ইকোসিস্টেম
CVE-2018-11817 এ-114041192
QC-CR#2241830
N/A সমালোচনামূলক DSP_পরিষেবা
CVE-2018-11817 এ-114041747
QC-CR#2166542
N/A সমালোচনামূলক DSP_পরিষেবা
CVE-2018-13899 এ-119053086
QC-CR#2295915 [ 2 ]
N/A উচ্চ ভিডিও
CVE-2018-13917 এ-120487091
QC-CR#2251019
N/A উচ্চ এনএসএস হোস্ট জয় করুন

কোয়ালকম ক্লোজড সোর্স উপাদান

এই দুর্বলতাগুলি Qualcomm উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা সরবরাহ করা হয়৷

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2017-8252 A-79419898 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-8252 A-79420414 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2017-8252 A-112279542 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2018-11958 A-114042786 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2018-11966 A-114042484 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2018-11970 A-114042111 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2018-11971 A-114042829 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2018-13918 A-120486115 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট

সাধারণ প্রশ্ন এবং উত্তর

এই বিভাগটি সাধারণ প্রশ্নের উত্তর দেয় যা এই বুলেটিন পড়ার পরে হতে পারে।

1. এই সমস্যাগুলি সমাধান করার জন্য আমার ডিভাইস আপডেট করা হয়েছে কিনা তা আমি কীভাবে নির্ধারণ করব?

কিভাবে একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর চেক করতে হয় তা জানতে, আপনার Android সংস্করণ দেখুন এবং আপডেট করুন

  • 2019-03-01 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি 2019-03-01 নিরাপত্তা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে।
  • 2019-03-05 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি 2019-03-05 নিরাপত্তা প্যাচ স্তর এবং পূর্ববর্তী সমস্ত প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা সমাধান করে।

এই আপডেটগুলি অন্তর্ভুক্ত করে এমন ডিভাইস নির্মাতাদের প্যাচ স্ট্রিং স্তর সেট করা উচিত:

  • [ro.build.version.security_patch]:[2019-03-01]
  • [ro.build.version.security_patch]:[2019-03-05]

2. কেন এই বুলেটিন দুটি নিরাপত্তা প্যাচ স্তর আছে?

এই বুলেটিনে দুটি নিরাপত্তা প্যাচ স্তর রয়েছে যাতে Android অংশীদারদের দুর্বলতাগুলির একটি উপসেটকে আরও দ্রুত ঠিক করার নমনীয়তা থাকে যা সমস্ত Android ডিভাইসে একই রকম। Android অংশীদারদের এই বুলেটিনে সমস্ত সমস্যা সমাধান করতে এবং সর্বশেষ নিরাপত্তা প্যাচ স্তর ব্যবহার করতে উত্সাহিত করা হয়৷

  • যে ডিভাইসগুলি 2019-03-01 সুরক্ষা প্যাচ স্তর ব্যবহার করে সেগুলিতে সেই সুরক্ষা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা এবং সেইসাথে পূর্ববর্তী নিরাপত্তা বুলেটিনে রিপোর্ট করা সমস্ত সমস্যার সমাধান অন্তর্ভুক্ত থাকতে হবে।
  • যে ডিভাইসগুলি 2019-03-05 বা নতুনের নিরাপত্তা প্যাচ স্তর ব্যবহার করে তাদের অবশ্যই এই (এবং পূর্ববর্তী) নিরাপত্তা বুলেটিনে সমস্ত প্রযোজ্য প্যাচ অন্তর্ভুক্ত করতে হবে।

অংশীদারদের একটি একক আপডেটে তারা যে সমস্ত সমস্যার সমাধান করছে সেগুলিকে বান্ডিল করতে উত্সাহিত করা হয়৷

3. টাইপ কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ টেবিলের টাইপ কলামের এন্ট্রিগুলি নিরাপত্তা দুর্বলতার শ্রেণীবিভাগের উল্লেখ করে।

সংক্ষিপ্ত রূপ সংজ্ঞা
আরসিই রিমোট কোড এক্সিকিউশন
ইওপি বিশেষাধিকারের উচ্চতা
আইডি তথ্য প্রকাশ
DoS সেবা দিতে অস্বীকার করা
N/A শ্রেণীবিভাগ উপলব্ধ নয়

4. রেফারেন্স কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ সারণীর রেফারেন্স কলামের অধীনে এন্ট্রিগুলিতে রেফারেন্স মানটি যে সংস্থার সাথে সম্পর্কিত তা চিহ্নিত করার জন্য একটি উপসর্গ থাকতে পারে।

উপসর্গ রেফারেন্স
ক- অ্যান্ড্রয়েড বাগ আইডি
QC- কোয়ালকম রেফারেন্স নম্বর
এম- মিডিয়াটেক রেফারেন্স নম্বর
এন- NVIDIA রেফারেন্স নম্বর
খ- ব্রডকম রেফারেন্স নম্বর

5. রেফারেন্স কলামে অ্যান্ড্রয়েড বাগ আইডির পাশে একটি * বলতে কী বোঝায়?

যে সমস্যাগুলি সর্বজনীনভাবে উপলব্ধ নয় সেগুলির রেফারেন্স কলামে Android বাগ আইডির পাশে একটি * থাকে৷ এই সমস্যার জন্য আপডেটটি সাধারণত Google বিকাশকারী সাইট থেকে উপলব্ধ Pixel ডিভাইসগুলির জন্য সর্বশেষ বাইনারি ড্রাইভারগুলিতে থাকে৷

6. কেন এই বুলেটিন এবং ডিভাইস/পার্টনার সিকিউরিটি বুলেটিন, যেমন পিক্সেল বুলেটিন এর মধ্যে নিরাপত্তা দুর্বলতা বিভক্ত?

এই নিরাপত্তা বুলেটিনে নথিভুক্ত নিরাপত্তা দুর্বলতাগুলিকে Android ডিভাইসে সর্বশেষ নিরাপত্তা প্যাচ স্তর ঘোষণা করতে হবে। একটি নিরাপত্তা প্যাচ স্তর ঘোষণা করার জন্য ডিভাইস / অংশীদার নিরাপত্তা বুলেটিনগুলিতে নথিভুক্ত অতিরিক্ত নিরাপত্তা দুর্বলতাগুলির প্রয়োজন নেই৷ অ্যান্ড্রয়েড ডিভাইস এবং চিপসেট নির্মাতাদের তাদের নিজস্ব নিরাপত্তা ওয়েবসাইট যেমন Samsung , LGE , বা Pixel আপডেট বুলেটিনগুলির মাধ্যমে তাদের ডিভাইসে অন্যান্য ফিক্সের উপস্থিতি নথিভুক্ত করতে উত্সাহিত করা হয়৷

সংস্করণ

সংস্করণ তারিখ মন্তব্য
1.0 4 মার্চ, 2019 বুলেটিন প্রকাশিত হয়েছে
1.1 5 মার্চ, 2019 AOSP লিঙ্কগুলি অন্তর্ভুক্ত করার জন্য বুলেটিন সংশোধন করা হয়েছে।